Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class AxisConfigData

    java.lang.Object
      org.wso2.wsas.admin.service.util.AxisConfigData

    public class AxisConfigData

extends java.lang.Object

keeps the axis config data

Constructor Summary
`AxisConfigData()`

Method Summary
`PhaseOrderData` | `getInfaultflowPhaseOrder()`
`PhaseOrderData` | `getInflowPhaseOrder()`
`PhaseOrderData` | `getOutfaultPhaseOrder()`
`PhaseOrderData` | `getOutflowPhaseOrder()`
`void` | `setInfaultflowPhaseOrder(PhaseOrderData infaultflowPhaseOrder)`
`void` | `setInflowPhaseOrder(PhaseOrderData inflowPhaseOrder)`
`void` | `setOutfaultPhaseOrder(PhaseOrderData outfaultPhaseOrder)`
`void` | `setOutflowPhaseOrder(PhaseOrderData outflowPhaseOrder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisConfigData

    public AxisConfigData()

Method Detail

### getInflowPhaseOrder

    public PhaseOrderData getInflowPhaseOrder()

### setInflowPhaseOrder

    public void setInflowPhaseOrder(PhaseOrderData inflowPhaseOrder)

### getOutflowPhaseOrder

    public PhaseOrderData getOutflowPhaseOrder()

### setOutflowPhaseOrder

    public void setOutflowPhaseOrder(PhaseOrderData outflowPhaseOrder)

### getInfaultflowPhaseOrder

    public PhaseOrderData getInfaultflowPhaseOrder()

### setInfaultflowPhaseOrder

    public void setInfaultflowPhaseOrder(PhaseOrderData infaultflowPhaseOrder)

### getOutfaultPhaseOrder

    public PhaseOrderData getOutfaultPhaseOrder()

### setOutfaultPhaseOrder

    public void setOutfaultPhaseOrder(PhaseOrderData outfaultPhaseOrder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD